> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset List

> Get Assets List by Organization



## OpenAPI

````yaml /streaming-openapi.yaml get /v1/{org_uid}/assets/list
openapi: 3.0.3
info:
  title: Streaming Service API
  description: API for streaming service
  version: 1.38.1
  contact:
    name: Synack Engineering
    email: engineering@synack.com
servers:
  - url: https://client.synack.com/api/streaming
    description: Commercial
  - url: https://client.synack.us/api/streaming
    description: FedRAMP (Medium)
security:
  - bearerAuth: []
paths:
  /v1/{org_uid}/assets/list:
    get:
      tags:
        - Assets
      summary: Returns list of assets with aggregated data
      description: Get Assets List by Organization
      operationId: getAssetList
      parameters:
        - name: org_uid
          in: path
          description: Organization UID
          required: true
          schema:
            type: string
        - name: type[]
          in: query
          description: Assets Type [ip, fqdn, app]
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - ip
                - fqdn
                - app
        - name: location
          in: query
          description: Assets Location [location] or Technologies [technologies]
          schema:
            type: string
        - name: listing_uids[]
          in: query
          description: Listing UIDs
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: open_ports[]
          in: query
          description: >-
            Filter by Open Ports on an asset. If given 0 all assets that have
            been fingerprinted but no ports were found will be returned.
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: providers[]
          in: query
          description: Providers
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: scan_status[]
          in: query
          description: Last Scan Status [in-progress failed finished new]
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - in-progress
                - failed
                - finished
                - new
        - name: test_statuses[]
          in: query
          description: >-
            Last Test Status [active scheduled completed paused_manually
            paused_by_outage_window]
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - active
                - scheduled
                - completed
                - paused_manually
                - paused_by_outage_window
        - name: last_tested
          in: query
          description: >-
            Last Tested ['Last 30 days' 'Last 90 days' 'Last 180 days' 'Over 180
            days' 'Never']
          schema:
            type: string
            enum:
              - Last 30 days
              - Last 90 days
              - Last 180 days
              - Over 180 days
              - Never
        - name: suspected_vuln_avg_cvss[]
          in: query
          description: >-
            Suspected Vulnerability CVSS Range [0.0-0.0, 0.1-3.9, 4.0-6.9,
            7.0-8.9, 9.0-10.0]
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: vuln_avg_cvss[]
          in: query
          description: >-
            Vulnerability CVSS Range [0.0-0.0, 0.1-3.9, 4.0-6.9, 7.0-8.9,
            9.0-10.0]
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: seed_groups[]
          in: query
          description: Seed Groups using seed group uid
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: origin[]
          in: query
          description: Origin [provided discovered]
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - provided
                - discovered
        - name: lifecycle_state[]
          in: query
          description: Lifecycle State [confirmed unconfirmed ignored archived]
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - confirmed
                - unconfirmed
                - ignored
                - archived
        - name: gateway_ids[]
          in: query
          description: Gateway IDs
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: gateway_names
          in: query
          description: Gateway Names
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
        - name: tag_uids[]
          in: query
          description: Tag UIDs
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: criticalities[]
          in: query
          description: Criticality [undefined low medium high]
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - undefined
                - low
                - medium
                - high
        - name: scanned
          in: query
          description: Scanned assets [true false]
          schema:
            type: string
            enum:
              - true
              - false
        - name: waf
          in: query
          description: WAF [detected not-detected]
          schema:
            type: string
            enum:
              - detected
              - not-detected
        - name: reachability[]
          in: query
          description: >-
            Reachability [reachable blocked-by-waf unreachable
            http-status-code-4xx-5xx reachability-pending not-applicable
            not-determined]
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - reachable
                - blocked-by-waf
                - unreachable
                - http-status-code-4xx-5xx
                - reachability-pending
                - not-applicable
                - not-determined
        - name: order_by
          in: query
          description: >-
            Order By [location provider scan_status test_status
            suspected_vuln_count vuln_count last_scan_status_ts
            last_test_status_ts suspected_vuln_avg_cvss vuln_avg_cvss software
            last_seen waf, created_at, criticality]
          schema:
            type: string
            default: location
            enum:
              - location
              - provider
              - scan_status
              - test_status
              - suspected_vuln_count
              - vuln_count
              - last_scan_status_ts
              - last_test_status_ts
              - suspected_vuln_avg_cvss
              - vuln_avg_cvss
              - software
              - last_seen
              - waf
              - created_at
              - criticality
        - name: order_direction
          in: query
          description: Order Direction [ASC DESC]
          schema:
            type: string
            default: ASC
            enum:
              - ASC
              - DESC
        - name: per_page
          in: query
          description: Maximum number of results to be returned
          schema:
            type: integer
        - name: page
          in: query
          description: If provided, show the provided page
          schema:
            type: integer
        - name: export
          in: query
          description: Export data [csv]
          schema:
            type: string
            enum:
              - csv
        - name: columns[]
          in: query
          description: Columns to be returned
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: sources[]
          in: query
          description: Sources [provided fractalScan xpanse cloudEnumeration fingerprinter]
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - provided
                - fractalScan
                - xpanse
                - cloudEnumeration
                - fingerprinter
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Document'
        '400':
          description: bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Bearer token is missing or invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Document:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Data'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
        included:
          type: array
          items: {}
        links:
          $ref: '#/components/schemas/Links'
        meta: {}
    Error:
      type: object
      properties:
        detail:
          type: string
        id:
          type: string
        source:
          type: string
        status:
          type: integer
        title:
          type: string
    Data:
      type: object
      properties:
        attributes: {}
        id:
          type: string
        links:
          $ref: '#/components/schemas/Links'
        meta: {}
        relationships:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Relationship'
        type:
          $ref: '#/components/schemas/ResourceType'
    Links:
      type: object
      properties:
        next:
          type: string
        prev:
          type: string
    Relationship:
      type: object
      properties:
        data: {}
        links:
          $ref: '#/components/schemas/Links'
    ResourceType:
      type: string
      enum:
        - asset_list
        - assets_counts
        - asset_details
        - asset_whois
        - asset_ports
        - asset_providers
        - asset_seed_groups
        - health_check
        - org_asset_ports
        - org_asset_suspected_vulns
        - org_asset_vulns
        - org_asset_listings_tests_latest
        - top_vulnerable_ports
        - top_unique_ports
        - most_recently_added_assets
        - top_cisa_cves
        - top_vulnerable_ips
        - asset_gateways
        - tags
        - last_tested_counts
        - last_assets_scan
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````